Download Invoice
GET
/billing/invoices/{invoice_id}/download
const url = 'https://api.mengi.cloud/billing/invoices/example/download';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.mengi.cloud/billing/invoices/example/downloadDownload the MoneyBird invoice PDF.
The PDF is fetched through the MoneyBird API and streamed to the user. The invoice’s public MoneyBird URL is deliberately not used: it requires a per-invoice access code that MoneyBird only emails to the billing contact, which other org members don’t have.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”invoice_id
required
Invoice Id
string
Query Parameters
Section titled “Query Parameters”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Examplegenerated
exampleValidation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}